# -*- coding: iso-8859-1 -*-

"""The About window for the gui."""


import Tkinter

#: Global variable which stores a reference to an existing toplevel window
_SingleInstance = None

def Open():
    """Open as toplevel window."""
    global _SingleInstance
    if _SingleInstance is None:
        _SingleInstance = Tkinter.Toplevel()
        _SingleInstance.title("About ...")
        _SingleInstance.bind("<Destroy>", _set_None)
        _Window(_SingleInstance)
    else:
        _SingleInstance.deiconify()

def Close():
    """Close toplevel window."""
    global _SingleInstance
    if _SingleInstance is not None:
        _SingleInstance.destroy()

def _set_None(e=None):
    """If used as toplevel window, this is called at "destroy"
       and sets our global variable to None."""
    global _SingleInstance
    _SingleInstance = None


class _Window(object):
    """'About' window of application."""

    def __init__(self,root):
        self.root = root
        w = Tkinter.Label(self.root,text=
"""
This is a demo application for the PyFuzzy package.

It simulates a container crane which can be controlled 
by a fuzzy controller.

The fuzzy controller is modelled after IEC 1131 annex C.

Author: Rene Liebscher <R.Liebscher@gmx.de>
""")
        w.pack()
