#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-
"""Main entry point. Starts the application."""

import sys
sys.path.append('../../common/src')

import simulation.Main

class Main_ContainerCrane(simulation.Main.Main):
    def getControllers(self):
        """Get list with available controllers."""
        import FuzzyController,FuzzyController2
        return \
        [ # available controllers
            ("Fuzzy",FuzzyController.FuzzyController()),
            ("Fuzzy2",FuzzyController2.FuzzyController2()),
        ]

    def getProcesses(self):
        """Get list with available processes."""
        import SimulatedProcess,SimulatedProcessParameter,RealProcess
        return \
        [ # available processes
            ("Simulation",SimulatedProcess.SimulatedProcess(),SimulatedProcessParameter.Open),
            ("Real hardware",RealProcess.RealProcess(),None),
        ]

if __name__ == "__main__":
    # Main entry point of program.
    Main_ContainerCrane().run()
